"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deployContracts = void 0;
const ethers_1 = require("ethers");
const NitroAdjudicator_json_1 = __importDefault(require("@statechannels/nitro-protocol/dist/artifacts/contracts/NitroAdjudicator.sol/NitroAdjudicator.json"));
const ConsensusApp_json_1 = __importDefault(require("@statechannels/nitro-protocol/dist/artifacts/contracts/ConsensusApp.sol/ConsensusApp.json"));
const VirtualPaymentApp_json_1 = __importDefault(require("@statechannels/nitro-protocol/dist/artifacts/contracts/VirtualPaymentApp.sol/VirtualPaymentApp.json"));
function deployContracts(signer) {
    return __awaiter(this, void 0, void 0, function* () {
        const nitroAdjudicatorFactory = new ethers_1.ContractFactory(NitroAdjudicator_json_1.default.abi, NitroAdjudicator_json_1.default.bytecode).connect(signer);
        const nitroAdjudicator = yield nitroAdjudicatorFactory.deploy();
        const virtualPaymentAppFactory = new ethers_1.ContractFactory(VirtualPaymentApp_json_1.default.abi, VirtualPaymentApp_json_1.default.bytecode).connect(signer);
        const virtualPaymentApp = yield virtualPaymentAppFactory.deploy();
        const consensusAppFactory = new ethers_1.ContractFactory(ConsensusApp_json_1.default.abi, ConsensusApp_json_1.default.bytecode).connect(signer);
        const consensusApp = yield consensusAppFactory.deploy();
        return [nitroAdjudicator.address, virtualPaymentApp.address, consensusApp.address];
    });
}
exports.deployContracts = deployContracts;
//# sourceMappingURL=deploy-contracts.js.map