/// <reference types="node" />
import { ethers, providers, EventFilter, BigNumber } from 'ethers';
import { Buffer } from 'buffer';
export declare class EthClient {
    provider: providers.BaseProvider;
    constructor(provider: providers.BaseProvider);
    static dial(chainUrl: string): EthClient;
    transactionByHash(transactionHash: string): Promise<providers.TransactionResponse>;
    chainID(): Promise<bigint>;
    subscribeFilterLogs(filter: EventFilter, callback: (log: providers.Log) => void): providers.Listener;
}
export declare function connectToChain(chainUrl: string, chainPK: Buffer): Promise<[EthClient, ethers.Signer]>;
export declare function getAddressByKey(chainPrivateKey: string, chainURL: string): Promise<string>;
export declare function getBalanceByAddress(address: string, chainURL: string): Promise<BigNumber>;
export declare function getBalanceByKey(chainPrivateKey: string, chainURL: string): Promise<BigNumber>;
