"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.zeroValueSignature = exports.hex2Bytes = exports.bytes2Hex = void 0;
const buffer_1 = require("buffer");
// Bytes2Hex returns the hexadecimal encoding of d.
function bytes2Hex(d) {
    return d.toString('hex');
}
exports.bytes2Hex = bytes2Hex;
// Hex2Bytes returns the bytes represented by the hexadecimal string str.
function hex2Bytes(str) {
    const hexString = str.startsWith('0x') ? str.substring(2) : str;
    return buffer_1.Buffer.from(hexString, 'hex');
}
exports.hex2Bytes = hex2Bytes;
exports.zeroValueSignature = {
    v: 0,
    r: null,
    s: null, // Set s to a 32-byte zero value
};
//# sourceMappingURL=hex-utils.js.map